org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

- All Implemented Interfaces:
    Graph.Features.ElementFeatures, Graph.Features.FeatureSet
  Direct Known Subclasses:
    EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgeFeatures, EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexFeatures
  Enclosing class:
    EmptyGraph.EmptyGraphFeatures

      public abstract class EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures
      extends Object
      implements Graph.Features.ElementFeatures

  Vertex features defined such that they support immutability but allow all other possibilities.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `boolean` | `supportsAdd` Determines if an `Element` allows properties to be added.
    `boolean` | `supportsRemove` Determines if an `Element` allows properties to be removed.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `FEATURE_ADD_PROPERTY, FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyGraphElementFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsAddProperty()` Determines if an `Element` allows properties to be added.
    `boolean` | `supportsRemoveProperty()` Determines if an `Element` allows properties to be removed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAnyIds, supportsCustomIds, supportsNumericIds, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds, willAllowId`

- - ### Property Detail

    - #### supportsAdd

          public boolean supportsAddProperty

      Specified by:
        `supportsAddProperty` in interface `Graph.Features.ElementFeatures`

    - #### supportsRemove

          public boolean supportsRemoveProperty

      Specified by:
        `supportsRemoveProperty` in interface `Graph.Features.ElementFeatures`

  - ### Constructor Detail

    - #### EmptyGraphElementFeatures

          public EmptyGraphElementFeatures()

  - ### Method Detail

    - #### supportsAddProperty

          public boolean supportsAddProperty()

      Description copied from interface: `Graph.Features.ElementFeatures`
      Determines if an `Element` allows properties to be added. This feature is set independently from supporting "data types" and refers to support of calls to `Element.property(String, Object)`.
      Specified by:
        `supportsAddProperty` in interface `Graph.Features.ElementFeatures`

    - #### supportsRemoveProperty

          public boolean supportsRemoveProperty()

      Description copied from interface: `Graph.Features.ElementFeatures`
      Determines if an `Element` allows properties to be removed.
      Specified by:
        `supportsRemoveProperty` in interface `Graph.Features.ElementFeatures`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.